MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026749Community[OCCT] OCCT:Application Frameworkpublic2015-10-05 07:442020-12-02 17:11
ReporterVico Liang 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.5.0Fixed in Version[OCCT] 7.5.0 
Summary0026749: TObj_Assistant::FindModel fails to find model with unicode name.
DescriptionFunction "TObj_Assistant::FindModel
  (const Standard_CString theName)"
 should consider theName might be unicode.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0031113newabv Open CASCADE Foundation Classes - TCollection_ExtendedString constructor from CString is confusing 
related to 0014673closedbugmaster Open CASCADE Provide true support for Unicode symbols 
related to 0025682feedbackabv Community Application Framework - TObj_Model::GetModelName() should store in document in unicode mode instead of ascii mode 

-  Notes
(0046435)
Vico Liang (developer)
2015-10-05 07:48

To fix the issue, please change the first line code
from

TCollection_ExtendedString aName( theName);

To
TCollection_ExtendedString aName( theName, Standard_True );
(0096320)
abv (manager)
2020-10-28 07:22

The proposed fix is included in patch for 0014673

- Issue History
Date Modified Username Field Change
2015-10-05 07:44 Vico Liang New Issue
2015-10-05 07:44 Vico Liang Assigned To => szy
2015-10-05 07:48 Vico Liang Note Added: 0046435
2015-12-18 11:50 abv Target Version 7.0.0 => 7.1.0
2016-02-17 18:18 szy Assigned To szy => mpv
2016-10-25 16:06 mpv Target Version 7.1.0 => 7.2.0
2017-05-25 15:23 mpv Target Version 7.2.0 => Unscheduled
2020-10-25 20:30 abv Relationship added related to 0031113
2020-10-25 21:08 abv Relationship added related to 0025682
2020-10-25 22:03 abv Assigned To mpv => abv
2020-10-25 22:03 abv Target Version Unscheduled => 7.5.0
2020-10-28 07:22 abv Note Added: 0096320
2020-10-28 07:22 abv Relationship added related to 0014673
2020-11-02 23:10 abv Status new => feedback
2020-11-02 23:10 abv Status feedback => verified
2020-12-02 16:22 emo Fixed in Version => 7.5.0
2020-12-02 17:03 emo Resolution open => fixed
2020-12-02 17:11 emo Status verified => closed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker